Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.6.0-3221
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: 3219 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Para descargar versiones específicas de una capa utilizo la ventana de checkout, con las siguientes limitaciones/errores:
- Sólo deja hacerlo con la opción de "Sobreescribir tabla" 
- Las opciones "No añadir la tabla/capa al proyecto" y "Añadir la tabla al projecto" (por cierto, está puesto con "j") hacen lo mismo, que
es añadir/sobreescribir la tabla en la base de datos de la copia local y si existe una capa o capas en el TOC de esa tabla, la
sobreescribe.
- La opción "Añadir capa a la vista" la añade/sobreescribe también en la base de datos de la copia local y además añade una capa en
el TOC y sustituye las que ya estuvieran apuntando a esa tabla.
Si después miramos los cambios en el repositorio, aparecen los que hay después de esa revisión (como tiene que ser) y los
actualiza, pero la siguiente vez vuelven a aparecen en la ventana de cambios.

History
#1 - 05/04/2021 01:09 PM - Joaquín  del Cerro Murciano
- Target version set to 2.6.0-3221
- Priority changed from Normal to Urgent

#2 - 05/13/2021 08:47 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Victor  Montes Camara wrote:

Para descargar versiones específicas de una capa utilizo la ventana de checkout, con las siguientes limitaciones/errores:
- Sólo deja hacerlo con la opción de "Sobreescribir tabla"

Esto es normal.
Cuando te descargas del repositorio una tabla, tiene un nombre, solo uno. Si tratas de hacer checkout de la misma tabla otra vez seguira teniendo el
mismo nombre, con lo que tendras que sobreescribirla, y si no quieres sobreescribirla por que ya la tienes en tu copia de trabajo, tendras que
seleccionar otra copia de trabajo o en lugar de hacer checkout exportarla. Eso si, una vez exportada, queda desligada del control de versiones, y no
se podra sincronizar de nuevo con el repositorio. Este es el comportamiento normal en cualquier sistema de control de versiones, como por ejemplo
svn. Con svn cuando haces checkout de un archivo lo saca con el nombre que tiene, aunque recuperes una version anterior, y si haces un svn
export, lo puedes sacar en otra carpeta pero queda desligado del control de versiones.

- Las opciones "No añadir la tabla/capa al proyecto" y "Añadir la tabla al projecto" (por cierto, está puesto con "j") hacen lo mismo, que es
añadir/sobreescribir la tabla en la base de datos de la copia local y si existe una capa o capas en el TOC de esa tabla, la sobreescribe.

Al hacer checkout, lo que tenemos que tener claro es que se va a descargar la tabla que indiquemos a la BBDD de la copia local. Esto de forma
independiente de lo que indiquemos que tenga que hacer despues con ellos.

Las opciones de "No añadir la tabla/capa al proyecto" y "Añadir la tabla al projecto", despues de descargarse la tabla a la BBDD de la copia local
hacen:

    -  "No añadir la tabla/capa al proyecto". No la añade la tabla descargada ni como capa a la vista ni como un documento tabla al proyecto. Si no
estaba cargada ya como un documento tabla o como una capa, el usuario no la vera y debera añadirla como cualquier capa de BBDD desde la copia
de trabajo. Si ya estaba cargada, por ejemplo como una capa, sigue sin añadirla a la vista, pero como ya estaba cargada y se ha actualizado la tabla
de la BBDD, en la vista se mostraran los nuevos datos de la capa.

    -  "Añadir la tabla al projecto". Añade la tabla descargada como un "documento tabla" en el proyecto que tengamos cargado. Si la buscas como una
capa no la encontraras, tendras que ir a la ventana del proyecto y estara cargada como un documento de tipo tabla.

- La opción "Añadir capa a la vista" la añade/sobreescribe también en la base de datos de la copia local y además añade una capa en el TOC y
sustituye las que ya estuvieran apuntando a esa tabla.

Correcto. 
Los datos que se descargan del repositorio se guardan en la BBDD de la copia de trabajo. Que luego se carguen esas tablas como capas de una vista
no quiere decir que se dupliquen. Simplemente la misma tabla esta cargada como capa en varios sitios; pero no se duplica. Por ejemplo, si tenemos
un shape en disco, podemos cargarlo en una vista, pero el shape no se copia en ningun otro lado por estar cargado en la vista. Si cambiamos el
shape la vista cambia. Y si el shape lo cargamos en varias vistas al modificarlo en una vemos que se modifica en todas por que shape solo hay uno.
Con las capas de BBDD pasa lo mismo. Se descargan en la BBDD de la copia de trabajo y luego se incluyen como capas en vistas o como
documento tabla de gvSIG desktop, pero solo estan guardadas en la BBDD de la copia de trabajo. El actualizar la BBDD de la copia de trabajo se
reflejara en todos los sitios en donde esten cargadas esas tablas.

Si después miramos los cambios en el repositorio, aparecen los que hay después de esa revisión (como tiene que ser) y los actualiza, pero la
siguiente vez vuelven a aparecen en la ventana de cambios.

Esto si que es un error. En la 3219, bajo condiciones muy concretas, no se borraban correctamente la lista de cambios locales tras hacer el commit, y
al volver a entrar en la ventana de cambios, volvian a aparecer.
Esta corregido a partir del build 3220.

#3 - 05/19/2021 11:39 AM - Álvaro Anguix
- Status changed from Fixed to Closed
